# module Puppet::Network::HTTP::Compression::None

### Public Instance Methods

add_accept_encoding(headers) click to toggle source

    # File lib/puppet/network/http/compression.rb, line 97
    def add_accept_encoding(headers)
      headers
    end

uncompress(response) { |identity_adapter| ... } click to toggle source

    # File lib/puppet/network/http/compression.rb, line 101
    def uncompress(response)
      yield IdentityAdapter.new
    end

uncompress_body(response) click to toggle source

    # File lib/puppet/network/http/compression.rb, line 93
    def uncompress_body(response)
      response.body
    end